# Generated by Django 4.1.6 on 2023-04-05 20:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner', models.IntegerField()),
                ('full_name', models.CharField(max_length=100)),
                ('address', models.CharField(default='', max_length=500)),
                ('note', models.TextField(default='')),
                ('is_paid', models.BooleanField(default=False)),
                ('status', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': 'Order',
                'db_table': 'orders',
            },
        ),
        migrations.CreateModel(
            name='OrderItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.CharField(max_length=50)),
                ('product_name', models.CharField(max_length=500)),
                ('price', models.BigIntegerField()),
                ('quantity', models.IntegerField()),
                ('order', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='order_model.order')),
            ],
            options={
                'verbose_name_plural': 'OrderItem',
                'db_table': 'order_items',
            },
        ),
    ]
